# Generated by Django 4.0.3 on 2022-04-21 08:57

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0023_alter_uniwebarticlepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="uniwebarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "ol",
                                "embed",
                                "ul",
                                "link",
                                "document-link",
                                "image",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Článek",
            ),
        ),
    ]
